ResolutionStrategy.SortOrder (Gradle API 4.10.1)
Date: 2018-09-12

org.gradle.api.artifacts

## Enum ResolutionStrategy.SortOrder

- java.lang.Object
- - java.lang.Enum<ResolutionStrategy.SortOrder>
  - - org.gradle.api.artifacts.ResolutionStrategy.SortOrder

- All Implemented Interfaces:
    Serializable, Comparable<ResolutionStrategy.SortOrder>
  Enclosing interface:
    ResolutionStrategy

      @Incubating
      public static enum ResolutionStrategy.SortOrder
      extends Enum<ResolutionStrategy.SortOrder>

  Defines the sort order for components and artifacts produced by the configuration.
  Since:
    3.5
  See Also:
    `ResolutionStrategy.sortArtifacts(SortOrder)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSUMER_FIRST`
    `DEFAULT`
    `DEPENDENCY_FIRST`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResolutionStrategy.SortOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResolutionStrategy.SortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final ResolutionStrategy.SortOrder DEFAULT

    - #### CONSUMER_FIRST

          public static final ResolutionStrategy.SortOrder CONSUMER_FIRST

    - #### DEPENDENCY_FIRST

          public static final ResolutionStrategy.SortOrder DEPENDENCY_FIRST

  - ### Method Detail

    - #### values

          public static ResolutionStrategy.SortOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResolutionStrategy.SortOrder c : ResolutionStrategy.SortOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResolutionStrategy.SortOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null